Custom Query (5851 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (3501 - 3600 of 5851)

Ticket Summary Owner Type Priority Milestone Component
#1360838 reply identity selection (qmail only) nobody Feature Patches 5 Other
Description
this patch does an auto-selection of the correct
identity when clicking reply/reply-all/forward.

ie: if you recieve email for multiple email addresses,
clicking one of the 3 buttons noted above, will auto
select the correct identity.

NOTE:
this patch is only effective if you use qmail as your
smtp daemon.  this patch IS SAFE to apply anywhere though.

Support:
qmail: yes
sendmail: no! (and probably never will)
postfix: unknown/not yet
exim: unknown/not yet
courier: unknown/not yet

@sendmail support
this patch does not and will not support sendmail as
its literally impossible to extract any hard data from
the headers of the final local recipient of the email.

@postfix/exim/courier support
i havent looked into these yet.  if anyone runs these
daemons locally and recieves email for more then 1
email address (via forwarding or aliasing) and would
like to help expand this patch please email me the
following:

* smtp daemon used
* complete headers for multiple emails to multiple
email addresses (via roundcubes 'view source' button.)
 also try to include one or 2 emails recieved via a
mailing-list.
* the final local recipient (identity) for each set of
headers.
* if there recieved from forwarding or aliasing

send this email to: roundcube{at}plastik(dot)us
#1367225 Unexpected result when downloading attachment nobody Bugs 5 Other
Description
Version:
v0.1-20051021

Server:
Apache version 1.3.34
MySQL version 4.1.13

Test pc:
Windows XP Firefox 1.0.7 and Internet Explorer 6

Steps to reproduce:
1) Open email that has a jpg attachment
2) Single left click on the attachment
3) A new window appears with two frames - the outer
frame contains the standard RoundCube page header with
a link to download the attachment, the inner frame
shows the standard folder view of the inbox.  (See
attached screenshot).

Expected behaviour:
1) Open email that has a jpg attachment
2) Single left click on the attachment
3) The attachment is downloaded
#1368771 Add per-identity signature to end of emails nobody Feature Patches 5 Other
Description
Add a signature to the end of each email. Signature can be set on a per-
identity basis in the settings page. Sig will appear at the end of the body 
of emails created using the compose, reply, reply-all or forward buttons.
#1370133 Sort folder columns nobody Feature Requests 5 0.1-beta2 Other
Description
Enable sorting by sender / subject / date / etc by
clicking on column title

(should be really simple?!)
#1370631 [PATCH] folder prefix support nobody Feature Patches 5 Other
Description
add folder prefix support.

without folder prefix, IMAP server will list all
folders in user's home directory. it will be slow and
insecure.
#1373282 message list headers fixed nobody Feature Requests 5 Other
Description
would be nice to have the message list header fixed so
that the it persist when there is a side scroll--the
message list rows exceed the height of the list pane.
#1375685 attempting to use namespace when not supported by mailserver roundcube Support Requests 5 Other
Description
I'm trying to use roundcube with hmailserver. After
succssful uesr authentication there is something wrong
that prevents the login to complete.
The people at hmailserver said its trying to use
NAMESPACE IMAP command which hmailserver doesn't
support. The thread is located here.
http://www.hmailserver.com/forum/viewtopic.php?t=3201

Here is the log from hmailserver. Is this a bug or have
I missed something in the setup?

"IMAPD" 1916 "2005-12-02 10:56:16.296" "127.0.0.1"
"RECEIVED: cp01 CAPABILITY"
"IMAPD" 1916 "2005-12-02 10:56:16.296" "127.0.0.1"
"SENT: * CAPABILITY IMAP4 IMAP4rev1 QUOTA[nl]cp01 OK
CAPABILITY completed[nl]"
"IMAPD" 1916 "2005-12-02 10:56:16.296" "127.0.0.1"
"RECEIVED: a001 LOGIN <removed> "<removed>""
"IMAPD" 1916 "2005-12-02 10:56:16.296" "127.0.0.1"
"SENT: a001 OK LOGIN completed[nl]"
"IMAPD" 1916 "2005-12-02 10:56:16.296" "127.0.0.1"
"RECEIVED: ns1 NAMESPACE"
"IMAPD" 1916 "2005-12-02 10:56:16.296" "127.0.0.1"
"SENT: ns1 BAD Unknown or NULL command[nl]"
"IMAPD" 1916 "2005-12-02 10:56:16.296" "127.0.0.1"
"RECEIVED: ns1 NAMESPACE"
"IMAPD" 1916 "2005-12-02 10:56:16.296" "127.0.0.1"
"SENT: ns1 BAD Unknown or NULL command[nl]"
"IMAPD" 1916 "2005-12-02 10:56:16.296" "127.0.0.1"
"RECEIVED: I LOGOUT"
"IMAPD" 1916 "2005-12-02 10:56:16.296" "127.0.0.1"
"SENT: * BYE Have a nice day[nl]I OK Logout completed[nl]"
"TCPIP" 1916 "2005-12-02 10:56:16.296" "IMAPD -
Connection to client 127.0.0.1 closed."
#1378311 leave messages on server nobody Feature Requests 5 Other
Description
Any chance of an option to leave retrieved message on
the mail server?
#1378560 multiple mail-account support nobody Feature Requests 5 0.2-beta Other
Description

Would be great if it was possible to add multiple mail-accounts. Ie. in preferences an option to add useraccounts.

#1380822 Fix header for dec11 cvs (strip blank lines) nobody Feature Patches 5 Other
Description
This patch will change three lines in sendmail.inc and
cause blanks lines to be stripped from the header. 
These blanks cause some recipients to view the message
wrong.
#1383703 Roundcube CVS crashes if mailbox empty nobody Feature Patches 5 Other
Description
In Roundcube CVS, when there is no mail in the inbox,
it shows a blank screen after login, the browser keeps
loading, and nothing happens.
Here's a fix for that (it was not fixed these last weeks)

--- program/lib/imap.inc 11 Dec 2005 22:56:46 -0000 1.10
+++ program/lib/imap.inc 17 Dec 2005 17:13:52 -0000
@@ -1165,7 +1165,7 @@
        $result=array();
        $fp = $conn->fp;

-       if (empty($message_set)) return array();
+       if ($message_set == "1:0") return array();

        /*  Do "SELECT" command */
        if (!iil_C_Select($conn, $mailbox)){

#1386945 Slovak localization nobody Feature Patches 5 Other
Description
I just made Slovak translation for RoundCube Webmail
package. 
#1389912 Additional time zones nobody Feature Patches 5 Other
Description
This patch adds support for those forgotten users in
fractional (eg +0930) time zones.

Not tested extensively, but it should work!

#1395711 Sender and Subject column data swapped in Konqueror nobody Bugs 5 Other
Description
Using Konqueror (KDE3.5) and clicking on any folder  
from the tree on the left. In the list of mail for  
that folder the Subject and Sender columns get mixed 
up. 
 
Clicking on the EMail link at the top right of the 
page will give you the INBOX with correct formatting 
though. 
 
Screenshot attached. 
#1396158 Can't attach mp3 file nobody Bugs 5 Other
Description
hi, I use cvs-20051216 and today I recognized that I
can`t attach mp3 files.
#1399715 Performance on big mail folders nobody Feature Requests 5 Other
Description
My chaotic disorganized inbox consists of multiple
thousands of mails. If I click on a mail, it takes
again ~30 seconds for a response. The courier imap
daemon is at 100% on that server (P4 CPU).

Is it possible to just transfer the mail headers, that
will be displayed on the current page (20 in my case),
or to cache the mail headers for the current session?
#1399834 Add lithuanian translation roundcube Feature Requests 5 0.1-beta2 Other
Description
I've made lithuanian translation; it would be nice if
developers could commit this.
The attached archive contains labels.inc and
messages.inc files; index.inc file should be added this
line:

	'lt'    => 'Lithuanian',

(After latvian etc.)

Thanks.

By the way, I've written myself as the copyright holder
of these files. If that is unsuitable I see no problem
if you change that line to fit your needs (i.e.
Copyright RoundCube). I would, however, like my name
left as an author.
#1416920 LDAP search results encoded as UTF-8 justinrandell Bugs 5 Other
Description
Non-ACSII chars to not show up correctly in the LDAP
search results. Our OpenLDAP server seems to send
results encoded as UTF-8. RoundCube just outputs this
into the ISO-8859-1 HTML page, which obviously cannot work.

I´ve been able to solve the problem by replacing this line

$contacts[$n]['name']   =
$result[$n][$server['name_field']][0];

with this

$contacts[$n]['name']   =
utf8_decode($result[$n][$server['name_field']][0]);

I don´t know whether all LDAP servers return search
results as UTF-8, so maybe this should be made
configurable or somehow auto-detected.
#1425346 repeated &#34;select all&#34; .. &#34;delete&#34; doesn't work nobody Bugs 5 0.1-beta2 Other
Description
I have a few mailboxes that I empty out completely
often. The latest cvs snapshot (20060205) and before
don't get this right:

1. select "all" in a folder
2. click the "delete" icon
3. wait for folder to be filled again with items
4. select "all" again in the same folder
5. click the "delete" icon

now watch the folder being filled with "selected" and
"deleted" items. Not quite right.

#1428182 Unable to login certain accounts nobody Bugs 5 Other
Description
Accounts that work perfectly with Squirrel and
Thunderbird cannot login via Roundcube. IMAP server log
shows that authentication was successful, but Roundcube
sais - login failed. IMAP Server - Dovecot 1.3b
#1436437 Tooltips dont work in IE6 nobody Bugs 5 0.1-beta2 Other
Description

No tooltips appear when hovering buttons in IE6. Works fine in firefox.

#1437534 Sender's topic was deleted if it was in Chinese roundcube Bugs 5 0.1-stable Other
Description
When I tried to send a mail in which the topic has some
Chinese chars, those Chinese got deleted after I hit send.

This problem only arose when I chose to send mail in
Chinese charset (GB2312). Things got back to normal
under UTF-8. Haven't tried it in other languages tho.


Steven
stev3n[at]shiningdays.net
#1438505 Session expires when switching folders in Opera roundcube Bugs 5 Other
Description
I set session expire duration to 160 but it still
expires as long as I switch between folders in Opera
8/9 browser.
#1438526 Blank page and errors logged on hitting Roundcube 0.1b nobody Bugs 5 Other
Description
When going to my roundcube directory, I get the
following logged in logs/errors:

[25-Feb-2006 22:02:52 +1300] DB Error: DB Error: no
such database in /var/www/ro
undcube/program/include/rcube_db.inc on line 97
[25-Feb-2006 22:02:52] PHP Fatal error:  Call to
undefined function:  query() in
 /var/www/roundcube/program/include/rcube_db.inc on
line 213

I was previously running a CVS snapshot in this
directory with no trouble.  I removed the database and
reinitalized it, so this is a fresh install of 0.1b.

For more details, please email
bugs-roundcube@dubculture.co.nz.
#1440990 Add a XML-ProcessingInstruction with the encoding nobody Feature Requests 5 Other
Description
<?xml version="1.0" encoding="iso-8859-1"?>

i've some problems with the german special characters
(ä,ü,ö,ß) they are not displayed correctly.
#1441659 Special folder reassignment nobody Feature Requests 5 Other
Description
It would be great to be able to reassign the default
folders for sent messages, drafts and trash.
#1446291 Vacation Plugin nobody Feature Requests 5 Other
Description
i am searching for an imap webmail solution with
support for vacation messages.
#1447243 Resizeable folder pane nobody Feature Requests 5 Other
Description
In some languages (like Portuguese), some folders names
are too long and don't apear interely in pane. A folder
pane that can be resizeable with the mouse would solve
the problem !
#1453184 Localization : some page titles hardcoded lostsinner Bugs 5 Other
Description
Hi

The title on login page is hardcoded.. if i switch to
the french localization, the title would remain in
english..

Fix :
labels.inc :

$labels['welcome']  = 'Bienvenue sur le webmail';

login.html :
<title><roundcube:label name="welcome" /></title>


When composing a mail, the title won't grab the value
stored under main.inc.php

$rcmail_config['product_name'] = 'Webmail';




Seb
#1453199 Issue with From and To columns nobody Bugs 5 Other
Description
Hi

If i set this (added the "to" column)

// these cols are shown in the message list
// available cols are: subject, from, to, cc, replyto,
date, size, encoding
$rcmail_config['list_cols'] = array('subject', 'from',
'to', 'date', 'size');


I'll get this whenever i access my "sent" folder:

http://img54.imageshack.us/my.php?image=sanstitre18zf.jpg

Either under english or french locale
#1453228 French localization fixed nobody Bugs 5 Other
Description
Here are the two french localization files

I converted any accent to their correct entity

Attached :
labels.inc
messages.inc

#1456284 Compose message with multiple contacts from addressbook nobody Bugs 5 Other
Description
When I:
1) go to my address book.
2) ctrl click multiple contacts.
3) hit the compose message button.
4) write message, contacts properly placed in to: field
in the form "Some Person <person@mailhost.com>".
5) hit submit message button.
6) message fails to send (status message is vague)

Neil (napublic@grovers.ca)
#1456986 PHP Fatal Error nobody Bugs 5 Other
Description
When trying to send an attachment of around 1.5 Mb I
get a blank page and i get this under the error logs : 

[23-Mar-2006 15:26:23] PHP Fatal error:  Allowed memory
size of 8388608 bytes exhausted (tried to allocate
2308559 bytes) in
/var/www/html/webmail/program/lib/Mail/mimePart.php on
line 293


I got the next errors from some users and couldn't find
how to reproduce that error :
[23-Mar-2006 14:26:33] PHP Fatal error:  Maximum
execution time of 120 seconds exceeded in
/var/www/html/webmail/program/lib/Mail/mimeDecode.php
on line 455

[22-Mar-2006 19:48:52] PHP Fatal error:  Allowed memory
size of 8388608 bytes exhausted (tried to allocate
1687662 bytes) in
/var/www/html/webmail/program/lib/Mail/mimeDecode.php
on line 388

[23-Mar-2006 11:04:37] PHP Fatal error:  Allowed memory
size of 10876488 bytes exhausted (tried to allocate
5280601 bytes) in
/var/www/html/webmail/program/lib/imap.inc on line 1851


my /etc/php.ini
memory_limit = 8M

This can be a duplicate of an existing bug but i
couldn't find anything already opened for these issues

Seb
#1457165 reply-to-all does not strip identity from recipient list nobody Bugs 5 Other
Description
subject says it all...when replying to all, don't reply
to self.
#1457351 new message listing nobody Feature Requests 5 Other
Description
One thing I greatly depend on with squirrelmail is the
ability to see what folders have new messages in them
without having to click on the folder in order for the
new message count to show up.  

If i send myself a message to me@domain.com and it gets
plopped into the INBOX, when I force an inbox refresh,
it lists on the folder view, but any other messages
that are filtered at the server level and then dumped
into a folder that is below inbox..they never display
as a new message until that folder is selected.  
#1457353 auto-refresh of folders nobody Feature Requests 5 Other
Description
Simple concept.  Have an option in preferences that
forces a refresh at an interval set by the user, of all
the folders to show if any new messages have been
discovered and then return those results through the
bolding of new messages.
#1457356 total and unseen count nobody Feature Requests 5 Other
Description
Have an option in the preferences that give the user
the ability to view:

 - only unseen messages
 - unseen / total messages
 - only total messages
 - no count next to folders.

This would show up in a fashion such as...

INBOX (3/110)

3 would be the number of new messages and 110 is the
total count of messages, including the unseen.  if
there are no unseen messages, than it defaults to
either showing nothing, or just the total count.
#1457367 mouseover msg preview - move to "later" nobody Feature Requests 5 later Other
Description
Since there is no preview pane, maybe having the
ability to see what the message contains prior to
opening it would be handy.

I was thinking something along the lines of single
clicking the message, which then highlights it, and
then mousing over it.  With the mouse sitting over the
message a small window fades in with a preview of the
message in a readable size...or perhaps the first
paragraph of the message?  Then once you move away from
the message, it fades out.

Of course, this goes against the other request a user
made for single click action, but I find knowing what
is inside a message to be quite useful.
#1463946 No apostrophes allowed in Address Book addresses nobody Bugs 5 Other
Description
When trying to add an email address that contains an
apostrophe to an Address Book profile, the "no email
address" message is received and the profile cannot be
saved.
#1467264 Password changing roundcube Bugs 5 Other
Description
What´s with password-changing for the logged in user?
I really miss this function! 
#1467882 Errors saving to database nobody Bugs 5 Other
Description
Small patch fixes error (like previous issue):

cvs diff: Diffing .
Index: rcube_imap.inc
=============================================
======================
RCS file: /cvsroot/roundcubemail/roundcubemail/program/include/
rcube_imap.inc,v
retrieving revision 1.34
diff -u -d -r1.34 rcube_imap.inc
--- rcube_imap.inc      27 Mar 2006 19:07:13 -0000      1.34
+++ rcube_imap.inc      10 Apr 2006 18:16:51 -0000
@@ -1624,7 +1624,7 @@
        AND    idx=?",
       $_SESSION['user_id'],
       $key,
-      $index);
+      (string)$index);
     }
 
 
@@ -2064,4 +2064,4 @@
   return trim($output);
   }
 
-?>
\ No newline at end of file
+?>

#1467883 PHP Warning in error log nobody Bugs 5 Other
Description
[08-Apr-2006 18:17:32] PHP Warning:  Cannot modify header 
information - headers already sent in /usr/local/apache2/htdocs/
webmail/program/include/rcube_shared.inc on line 121

#1468709 Setting messages to 'Read' doesn't work with icon nobody Bugs 5 Other
Description
When I am looking at a folder with unread messages, 
at first login, using the star icon to set messages 
to 'read' and 'unread' will work.

Once I have opened a message and then returned to the 
folder, using the star icons will change the text to 
bold/unbold as though it had worked, but the unread 
message count remains unchanged, and upon returning 
to that folder, the unread message count is as it was 
before I changed it with the star icons.
#1468895 passwords with less than sign (<) don't work thomasb Bugs 5 0.1-beta2 Other
Description

After upgrading to roundcube-0.1-20060328.tar.bz2 (from unixified.net) from the 0.1 beta, I can't log in using a password that contains a less than sign (<).

If my password were "abc<def", roundcube thinks that my password is "abc".

#1473198 Typo on line 1123 of main.inc nobody Bugs 5 Other
Description
Looking through the sourcecode I found an oddity on
line 1123 of the file 'main.inc' in the include
directory it says:

$attrib['type'] = ($attrib['image'] ||
$attrib['imagepas'] || $arg['imagect']) ? 'image' : 'link';

I think this must be:

$attrib['type'] = ($attrib['image'] ||
$attrib['imagepas'] || $arg['imageact']) ? 'image' :
'link';

(so $arg['imageact'] instead of $arg['imagect'])
#1473201 Typo on line 1133 of main.inc nobody Bugs 5 Other
Description
And 10 lines further I discoverd a repetition of the
typo ;)

On line 1133 of the file 'main.inc' it says:

else if($attrib['image'] || $arg['imagect'] ||
$attrib['imagepas'] || $attrib['class'])

While I think it should be:

else if($attrib['image'] || $arg['imageact'] ||
$attrib['imagepas'] || $attrib['class'])

(again, $arg['imageact'] instead of $arg['imagect'])
#1473213 No error for non-existing database nobody Bugs 5 Other
Description
If the database as set in the 'db.inc.php' config file
does not exist, no error message is displayed, instead
a complete white and empty page is displayed.

It would be nice to see a message like:
"The database specified in the config file could not be
found."
#1476106 Corrections for INSTALL file roundcube Bugs 5 0.1-beta2 Other
Description
The instructions for database creation etc. don't 
work because of the '' around the database name. 
Also, the name for the database when using MySQL 4.1 
is accidentally given with omitted "mail" at the end.

Corrections:
> create database roundcubemail;

CREATE DATABASE roundcubemail DEFAULT CHARACTER SET 
utf8 COLLATE utf8_general_ci;

Apart from that setting up roundcube the first time 
was really easy!
#1476127 Javascript errors and no nobody Bugs 5 Other
Description
This is for roundcubemail-cvs-20060413.tar.gz.
It's the same on Firefox and IE6.
I get Javascript errors on several actions. Actions 
are carried out ok, though, it seems.
F.i. when I display the INBOX (E-Mail link) I get an 
error "Line 2915, Char 7, Invalid Character". I 
typically see this error when something (a file) 
cannot be loaded via Javascript, but a Javascript 
command line depends on it. Firefox doesn't show 
these errors, maybe I have not enabled it. All the 
other problems also occur in Firefox:
- I cannot display the message (I assume when I click 
on a message it should display the message text?)
- I cannot go back with the green arrow f.i. if I go 
to reply or edit.

Oh, I just realize that I have to click *twice* to 
display the message. Then this part is actually a 
feature request. It would be nice being able to 
display a message with *one* click since that is the 
normal metaphore in a www environment.F.i. make one 
part of the line just mark the line and the rest of 
the line display the message.

The "go back" thing still doesn't work for me. That's 
obviously not a "two-click" thing ;-)
#1479706 Error in sending mail, rejected because of blank line nobody Bugs 5 0.1-rc1 Other
Description
Just wanted to let you guys know that sometimes I get
an error when replying to an email. The error I receive
comes from the receiving mailserver and is:

Diagnostic-Code: X-Postfix; host
xxxx.xxx.net[140.211.166.39] said: 550 Lone CR
    or LF in headers (see RFC2822 section 2.2) (in
reply to end of DATA
    command)

Regards,


Richard
info@richard5.net
#1483832 installed roundcube but didn't work Bugs 1 - Highest Other
Description

I installed roundCube but it didn't work

please help me

i installed in in this link www.arabex.net/mail

#1484106 he requested URL /E-mail/ was not . . . Tasks 5 Other
Description

hi I am new to Roundcube webmail and just installed it but when I go to login I face this page :

"Not Found The requested URL /E-mail/ was not found on this server.

Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument? to handle the request. "

What is the prblem ??

#1484127 Inconsistent use of ISO language codes and country codes for localizations Bugs 5 0.2-beta Other
Description

Hello,

Most of the localisations in trunk/roundcubemail/program/localization/ uses only the ISO language code which I guess is okay, but some localisations like Swedish, Czech and Armenian uses the ISO country code.

For example the abbreviation used for the Swedish translation is 'se', but in the ISO language codes se=Northern Sami where Swedish should be 'sv'. On the other hand 'SE' is the country code for Sweden.

The same is true for the Czech translation 'cz'. 'CZ' is the country code for the Czech Republic, but 'cs' is the language code for the Czech language.

And the Armenian is language code is 'hy' and country code 'AM'. The language code 'am' which is used in RoundCube is Amharic.

Some languages use a combination of country code and language code, for example en_GB for British English. I find this the most natural and elegant approach, but at least the localisations should use the ISO language code instead of country code as the strings are translated into another language - not another country.

I have found the ISO codes on the gettext web page:

ISO 639 language codes - http://www.gnu.org/software/gettext/manual/html_chapter/gettext_15.html#SEC221 ISO 3166 country codes - http://www.gnu.org/software/gettext/manual/html_chapter/gettext_16.html#SEC222

It should be trivial for the maintainers of the individual translations to fix/update this.

Kind regards, Jesper

#1484240 Polish manual Tasks 5 Other
Description

Hey I would like to write a polish manual for roundcube webmail, but I don't know how to create the page in wiki.

#1484263 Lithuanian language pack Feature Requests 4 0.1-rc1 Other
Description

There's a new Lithuanian language pack for RoundCube webmail. Please include it to the next releases. Thank you.

#1484350 Updated Lithuanian translation Tasks 2 0.1-rc1 Other
Description

I've just translated the latest SVN version to the Lithuanian language. Language files has been attached.

#1484540 Sync "localizations" in trunk > devel-vnext yllar Tasks 5 0.2-beta Other
Description

All except de_DE - I already made too many fixes there myself.

#1484543 Login Link for RCMail Feature Requests 10 - Lowest Other
Description

Hello!

Does it exist any link to autologin in your account? For ex.:

http://yourdomain.com/rcmail/index.php?logusr=xy;pwusr:password........ So that you dont need to enter the Username and Password?

Thx! and excuse my bad english...

on German my question looks so:

Hallo!

Existiert vielleicht ein Login Link mit dem man sich automatisch bei seinem Account anmelden kann? Bsp. http://yourdomain.com/rcmail/index.php?logusr=xy;pwusr:password........

So das die Übergabe der Benutzernamen im Link statt finden?

Danke!

#1484764 Can not enable SSL just for the login page till Feature Patches 4 0.6-beta Other
Description

I am using an apache reverse proxy as an SSL termination point. In order for apache to redirect the user's browser to HTTPS for login the apache server needs to be notified that the user is viewing a login page. This is usually accomplished by the application issuing a redirect to /login when the user is not authenticated or a user's session has expired, unfortunately roundcube does an internal forward as a result apache has no knowledge the user is seeing the login page and is unable to enable HTTPS. This issue will also apply to other security systems and SSL termination products. Using SSL for all communication is way to expensive. Moving to a REST based URL structure might resolve the issue.

#1484845 SVN ignores till Feature Requests 5 0.1.1 Other
Description

Please add the following svn:ignore's for temp & logging files

logs/timeouts:

svn propset svn:ignore "logs
errors
sendmail
console
timeouts" logs

temp/rcm*:

svn propset svn:ignore "rcm*" temp
#1484871 review performance suggestions till Tasks 5 later Other
Description

http://seal-7.blogspot.com/2007/03/improving-performance-with-roundcube.html

#1484925 Roundcube does not install on PHP 4.3 Feature Patches 7 0.1.1 Other
Description

phpversion() > 4.3 returns false on PHP 4.3.9

#1484961 Sender and Receiver charset are ignored Tasks 10 - Lowest 0.3-stable Other
Description

If there is no charset in mail herder or multi part header, WU-imapd returns US-ASCII (call by iil_C_FetchStructureString function). So, charset is not null(US-ASCII) and default_charset configration of main.inc.php is ignored.

So, fix this problem attached patch file and row mail data. This patch is applied SVN revision 1246

#1485027 v0.1.1 Attachment corruption with certain versions of Outlook Bugs 5 later Other
Description

A roundcube user (IE v7.0) at my business sent a 25.1 KB Excel (.xls) file using Roundcube to 4 users:

User 1 - Outlook 2000 User 2 - Outlook 2003 User 3 - Outlook Express v6 User 4 - Outlook Express v6

All 4 users using pop3/smtp via a third party webhosting service.

Both users 3 and 4 received a 25.1 KB file that opened without trouble.

Both users 1 and 2 received a 23.4 KB file that when trying to open gives an error "The file is in a different format than specified by the file extention" and upon opening is filled with jibberish such as "?>"

The same test was tried with a Word (.doc) file and experienced the same results.

The files can be opened by all 4 users when transferred via outlook to outlook without using Roundcube.

I'd have to imagine that there is some problem with the format that extentions are being sent with when it comes to Outlook receiving them. The strange part is, Outlook Express works correctly.

#1485112 roundcube bug - PHP5 Bugs 10 - Lowest later Other
Description

oficial roundcube have a bug with php5! and it works only on php4 server! i try install again on other server with php4 and now create identities fine! if i try install with same configs on php5 server it not work anymore

#1485232 Bug in buldin HTML editor Bugs 5 later Other
Description

buldin editor going creazy on following code:

1: <span class=3D"label">abc:</span> <strong>some value</strong><br>
2: <span class=3D"label">def:</span> <strong></strong><br>
3: <span class=3D"label">abc</span> <strong></strong><br>

will be parsed to:

1: <span class=3D"label">abc:</span> <strong>some value</strong><br>
2: <span class=3D"label">def:</span> <strong><br>
3: <span class=3D"label">abc</span> <strong><br></strong></strong>

and rendered incorrectly

#1485274 Swekey integration till Feature Patches 5 0.3-stable Other
#1485379 Attachment is lost when forwarding message Bugs 5 0.2-beta Other
Description

SVN1800

when I forward a message, then the attachment is lost, doesnt matter what kind of attachment :-(

#1485434 kill cache utility Feature Patches 5 0.2-stable Other
Description

I am digging into RC more and more and sometimes I need to quickly reset the cache.

#1485456 fixes for tools Bugs 5 0.2-stable Other
Description
=== bin/dumpschema.php
==================================================================
--- bin/dumpschema.php  (revision 1987)
+++ bin/dumpschema.php  (local)
@@ -1,6 +1,6 @@
 <?php
 
-define('INSTALL_PATH', realpath('./../') . '/');
+define('INSTALL_PATH', realpath(dirname(__FILE__) . '/..') . '/' );
 require INSTALL_PATH.'program/include/iniset.php';
 
 /** callback function for schema dump **/
=== bin/makedoc.sh
==================================================================
--- bin/makedoc.sh      (revision 1987)
+++ bin/makedoc.sh      (local)
@@ -3,10 +3,21 @@
 TITLE="RoundCube Classes"
 PACKAGES="Core"
 
-PATH_PROJECT=$PWD/program/include
-PATH_DOCS=$PWD/doc/phpdoc
-PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+INSTALL_PATH="`dirname $0`/.."
+PATH_PROJECT=$INSTALL_PATH/program/include
+PATH_DOCS=$INSTALL_PATH/doc/phpdoc
 
+if [ -x /usr/local/php5/bin/phpdoc ]
+then
+  PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+elif [ -x /usr/bin/phpdoc ]
+then
+  PATH_PHPDOC=/usr/bin/phpdoc
+else
+  echo "phpdoc not found"
+  exit 1
+fi
+
 OUTPUTFORMAT=HTML
 CONVERTER=frames
 TEMPLATE=earthli
#1485508 Update localization: zh_CN (labels.inc, messages.inc) Tasks 5 0.2-stable Other
Description

Update localization: zh_CN (labels.inc, messages.inc).

#1485537 Identities sort order Feature Requests 5 0.2-stable Other
Description

In the identities tab the names get sorted by:

ORDER BY ".$this->db->quoteIdentifier('standard')." DESC, name ASC, identity_id ASC"

Is there any reason why "identity_id" is used as sorting field? It just gives the order of when you entered them, seems not so usefull to me. Rather use "email" as last sort field.

Regards Gunnar

#1485579 Japanese support enhancement Feature Patches 5 0.2-stable Other
Description

I make Japanese support enhancement and some non-ascii(utf-8) language support patch.

  • Japanese support enhancement
    • program/include/rcube_imap.php
    • program/lib/Mail/mime.php
    • program/steps/mail/get.inc
    • program/steps/mail/sendmail.inc
  • Japanese language file update
    • program/localization/ja_JP/labels.inc
    • program/localization/ja_JP/messages.inc
  • Select compose message charset/transfer encoding by languages
    • config/main.inc.php.dist
    • program/steps/mail/sendmail.inc
  • UTF-8 support for configration file and update 'default_imap_folders' and add Junk folder name field
    • installer/config.php
    • installer/rcube_install.php
    • installer/utils.php
    • program/include/rcube_config.php
#1485649 utf8 mail spell checker using pspell spellcheck_engine is broken Bugs 9 0.2-stable Other
Description

There is a problem with spell checker using pspell engine. When checking utf8 text with national symbols (Cyrillic in instance) offsets and word lengths are counted incorrectly. This happens because preg_split and strlen is not multibyte aware. I have attached a patch to correct this bug.

#1485744 pspell makes mistakes with special html characters ksteinhoff Bugs 4 0.2.1 Other
Description

pspell doesn't use html_entities_decode() to decode special html characters like <, >, and &.

#1485768 Can't download attachments via IE7 on XP. Bugs 5 later Other
Description

When I try to download a attachment using IE7 on win XP. I get a strange error. See attachment. When using another IE7 installation on a different PC, it just works. Downloading files from the same server, using the same SSL-certificate works.

#1485787 Print style: message-part pre style not synced with print.css Bugs 9 0.2.2 Other
Description

pre tags that are part of a message do not wrap when being printed

#1485810 password plugin doco and enhancements Feature Requests 5 0.3-beta Other
Description

I've started to hack the A.L.E.C's password plugin.

I've added doco, an optional current password, %h for host and %o for old password.

I'm considering doing the following changes to make it a little more portable however these break compatibility:

  • %p to become the unaltered password - storage form should be flexible. SQL can do crypt if required.
  • SQL to become prepared statement.
  • SQL API to return a text error message if there is an error. No results returned is a success. This way the old password can be passed to a database function to determine success.

Are these change proposals acceptable?

#1485881 ManageSieve plugin should support multiple scripts and selecting which should be active Feature Requests 5 0.4-beta Other
Description

The ManageSieve? protocol supports having multiple distinct scripts on a server and selecting none or one that should be active and used for processing (using LISTSCRIPTS and SETACTIVE, hopefully DELTESCRIPT and RENAMESCRIPT as well). This allows for various processing options at different times as needed.

#1485924 .htaccess sets wrong path for error log Bugs 5 0.3-stable Other
Description

I got this error message in the webserver error logs for each file served by roundcube:

PHP Warning:  Unknown: Unable to access logs/errors in Unknown on line 0

This is because of this statement in /.htaccess

php_value       error_log       logs/errors

This statement should contain an absolute path.

#1485928 Whitespaces in da_DK localization files causes "Content Encoding Error" Bugs 5 0.3-stable Other
Description

The svn trunk version of these files contain trailing whitespaces after the final "?>" which causes a "Content Encoding Error" in the browser (bad combination of unexpected whitespaces and gzip compression) - users are effectively locked out when selecting Danish language.

Tested with Firefox. The problem is fixed by removing whitespaces or the entire final "?>".

There are also a couple of linguistic corrections required - what is the appropriate chain of command for this? :)

#1485943 IMAP Namespace support in managesieve Feature Requests 5 0.3-stable Other
Description

Hi,

I recently performed a seamless migration from Courier to Dovecot. That went along with defining a namespace prefix called 'INBOX' so the IMAP clients are not confused.

When using the fileinto command in the managesieve plugin that namespace seems to be ignore - filing something into the folder "Foo/Bar?" creates sieve code like "fileinto Foo.Bar" and not "fileinto INBOX.Foo.Bar", leading to error messages like this:

deliver(foo@example.org): msgid=<ABCDEFG-1234@example.org>: save failed to Foo.Bar: Unknown namespace
deliver(foo@example.org): sieve runtime error: Fileinto: Generic Error
deliver(foo@example.org): sieve_execute_bytecode(/path/to/.dovecot.sievec) failed

See this weblog entry for some more details concerning the same problem. I don't know if this is a specific problem of the managesieve plugin or a general Roundcube issue. As the managesieve plugin is in roundcube's svn repository, I hope this is the right place to report this.

Benjamin

#1485944 Regression in plugin "subscription_options" since r2682 Bugs 5 0.3-stable Other
Description

Please apply the attached patch, PHP complains about missing function since r2682

#1485992 Problem with special characters in attached files when sending mail to gmail. Bugs 10 - Lowest 0.3-stable Other
Description

Hi,

When I send a e-mail to gmail.com with attached files (their names contains polish characters, for example żółćęśąźń), recipient can't view original filename. Screenshot is attached. Sending from Thunderbird is OK.

#1486027 Execute two query's for password plugin Feature Requests 5 0.3-stable Other
Description

Hi, For the password plugin i need to change the values on two tables. I've tried: -- $rcmail_configpassword_query? = 'update dbmail_users set passwd=%p WHERE userid=%u;update smtp_auth_users set p assword=%p where username=%u;'; -- Separating the query's with the ";", but doesn't work.

I have this error: -- DB Error in /home/alojamento/webmail/roundcubez/program/include/rcube_mdb2.php (623): MDB2 Error: syntax error Query: _doQuery: [Error message: Could not execute statement] [Last executed query: update dbmail_users set passwd='111' WHERE userid='trash@…';update smtp_auth_users set password='111' where username='trash@…';] [Native code: 1064] [Native message: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ';update smtp_auth_users set password='111' where username='trash@… at line 1] --

How could I run there two query's?

#1486035 issues with plugin vcard_attachments Bugs 5 0.3-stable Other
Description

hey,

the plugin vcard_attachments refers to a png graphic that doesn't exist anymore. the function html_output($p) contains the following code:

add box below messsage body $pcontent? .= html::p(array('style' => "margin:1em; padding:0.5em; border:1px solid #999; width: auto;"),

html::a(array(

'href' => "#", 'onclick' => "return plugin_vcard_save_contact('".JQ($this->vcard_part)."')", 'title' => "Save contact in local address book"), TODO: localize this title

html::img(array('src' => '/images/buttons/add_contact_act.png', 'align' => "middle"))) . ' ' . html::span(null, Q($display)));

the graphic '/images/buttons/add_contact_act.png' seems to have existed earlier in roundcube as it has been used for the addressbook as well. but now the addressbook uses other graphics and the png file in question apparently has been removed from the svn trunk.

it seems like single graphics for every operation in the addressbook toolbar have been replaced by one graphic with all icons and some css magic. i'm not sure whether it's possible to use the same abook_toolbar.png with help of css for the vcard_attachments plugin.

greetings,

jonas

#1486066 Roudcube Filter not working Bugs 5 later Other
Description

Hi I have just installed iRedMail integrated with roundcube. Everything seems to working but for some reasons filters option isn't working for me. Is there something I'm missing or do i need some extra settings to setup this.

I'm using /var/vmail/vmail01/domain.name/username/MailDir

#1486091 Option to specify the HTTPS port Feature Patches 5 0.3.1 Other
Description

I've created a patch that allows the administrator to specify the port used for HTTPS connections, as not everyone is using port 443 for this.

#1486102 New Email Account Feature Requests 2 later Other
Description

I need to create a new email account for a new employee.

#1486158 Making a debian-package of roundcube thomasb Feature Requests 5 later Other
Description

Hi Devs

I've already (for internal purposes) created a debian-compliant roundcube package. It places all the files in reasonable places in the filesystem, and automatically builds extra packages for extra skins.

I would like to work with you to get this code (which is entirely self-contained in a $ROOT/debian/ sub-dir) merged into mainline, so that building a debian package would be a simpler process in the future.

Are you interested in this, and if so, how can we proceed?

#1486161 iniset.php uses deprecated set_magic_quotes_runtime(0) call. Bugs 5 0.3.1 Other
Description

iniset.php uses deprecated set_magic_quotes_runtime(0) call.

I put an @ in front of the call on line 63 it to stop the warning, but I think it can be removed.

#1486254 Accents not working in attachments Bugs 3 later Other
Description

The problem is that if a mail has an attachment with a filename with accented characters, it cannot be forwarded. The attachment with accent also cannot be removed during the forwarded message editing. AJAX response is: Invalid request. Sometimes, the user is logged off.

If you want me to send an email with the specified features, send me a mail to tomas@… and I'll send it back.

#1486271 HTML comments are shown when text is pasted from Office-like app Bugs 5 0.4-beta Other
Description

When you copy and pasted text from Office-like app to an HTML message and then you send the mail, the result is that hidden comments are shown in the message body.

Example of the mail received:

<!-- @page { margin: 2cm } P { margin-bottom: 0.21cm } A:link { so-language: zxx } --> Body text goes here.

#1486287 Insert or update identity problem Bugs 2 0.4-beta Other
Description

Hi , When I try to insert or update identity I've recive error page:

SERVICE CURRENTLY NOT AVAILABLE! Error No. [500]

I entered into input fields, simple words as name and typical email address. All that without special characters.

RoundCube v. 0.3.1

Best regards Janse

#1486290 Add version info to 'Settings' pane Feature Requests 5 0.4-beta Other
Description

It would be useful to see what version of roundecube you are using from the settings pane. Could this be added easily? Thanks.

#1486339 Provide tools for (un)shrinking JavaScript files with Closure Compiler thomasb Feature Patches 5 0.4-beta Other
Description

Several JavaScript? modules are "shrunk" in release tarballs of RoundCube using Dojo ShrinkSafe?, as described in http://trac.roundcube.net/wiki/Dev_ReleaseManagement in releases.

I have written scripts to do shrinking or unshrinking with a single command, using Google's Closure Compiler (which will be downloaded if necessary).

This is convenient for users running from SVN who will have to unshrink before updating, as well as users who wish to obtain better compression with the Closure Compiler.

Example of filesizes with ShrinkSafe?: -rw-r--r-- 1 root root 90512 2009-12-06 00:35 app.js -rw-r--r-- 1 root root 11258 2009-12-06 00:35 common.js -rw-r--r-- 1 root root 21395 2009-12-06 00:35 googiespell.js -rw-r--r-- 1 root root 13975 2009-12-06 00:35 list.js

Example of filesizes with Closure Compiler: -rw-r--r-- 1 root root 78728 2009-12-06 00:36 app.js -rw-r--r-- 1 root root 10751 2009-12-06 00:36 common.js -rw-r--r-- 1 root root 18753 2009-12-06 00:37 googiespell.js -rw-r--r-- 1 root root 12284 2009-12-06 00:37 list.js

#1486381 NewLines in text editor (compose) Feature Requests 1 - Highest 0.4-beta Other
Description

he line break leaves the ugly text.

this is a problem that has always existed in all versions.

newline are created in new tags <p> correct is to use <BR/>.

EX: current: <p>Text</p><p>newline blah....</p> suggestion: <p>Text<br/>newline blah....</p>

the text is so much better.

#1486401 Strange symbol on browser Bugs 9 0.4-beta Other
Description

I use PHP 5.3.1

I use latest trunk version 3189. And show me 'Server error OK' after login to mail. Also display strange symbols. Attach file below

#1486403 Top-Posting for email replies in HTML and Plain Editor for Roundcube 0.3.1 Feature Requests 1 - Highest 0.4-beta Other
Description

(Top Posting, Top-Posting, Reply Above Quote)

I realize that top-posting is not the 'proper' way to do things, however, many people prefer top-post email replies because it saves scrolling and is clearer.

I have been looking around the web for patches/code to add the top-posting functionality to RoundCube 0.3.1, but can only find changes for earlier versions.

Could you please provide me with a link to an add-on/patch/code snip to correct this.

It is my personal preference, and preference of many others who use my mail server to have top-posting. I am not too concerned with having a feature to enable or disable it, just as long as top-posting is possible when replying to any email.

Thanks, Kirk.

#1486446 Update to JQuery 1.4 Feature Patches 5 0.4-beta Other
Description

JQuery 1.4 has been released about a week ago and promises several speed-ups and lots of bug fixes.

http://www.jquery14.com

Note: See TracQuery for help on using queries.